
clear all
close all

destino = '/media/disk/vista/Papers/aranyas/general_y_analiticas/general/NECO_2011_experiments/cuerno_reproducible_results/';


set(0,'DefaultAxesFontSize',0.1,'DefaultAxesFontUnits','points',...
    'DefaultTextFontSize',0.1,'DefaultTextFontUnits','points')

color = [0.6 0.6 0.6];
LW = 2;

PINTA = 0;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

CRIT = 1

filename = ['reretic_cuerno_derecho_SPC_7_param_buenos_crit_',num2str(CRIT) '_prueba'];
destino = '/media/disk/vista/Papers/aranyas/general_y_analiticas/general/NECO_2011_experiments/cuerno_reproducible_results/';
destino2 = '/media/disk/vista/Papers/aranyas/general_y_analiticas/general/TNN_2012_reproducible/exp_metric_ICA_VQ/spiral_synthetic/';
load([destino filename])


%   Aref                            2x2                    32  double              
%   Btotal                          1x1                     8  double              
%   CRIT                            1x1                     8  double              
% 
%   Nbins                           1x2                    16  double              
%   Nv                              1x1                     8  double              
%   dat                             2x10324            165184  double    global    
%   dat_test                        2x1017              16272  double              
%   destino                         1x106                 212  char                
% 
%   dist_fuera                      1x1                     8  double    global    
% 
%   muelle                          1x1                     8  double              
%   pto                             2x1                    16  double              
%   tau                             1x1                     8  double    global    
%   tol                             1x1                     8  double          
% 


figure,plot(dat(1,:),dat(2,:),'.','markersize',0.1)
box('on')
%hold on,plot(Q_datic(1,:),Q_datic(2,:),'r.'),axis equal
%hold on,plot(inv_dom_QR1(1,:),inv_dom_QR1(2,:),'ko'),axis equal
reticula(inv_dom_QR1,QQQ(1),QQQ(2),LW,color,0)
hold on,plot(inv_dom_QR1(1,:),inv_dom_QR1(2,:),'r.'),axis equal
axis([-10 12 -18 10])

if PINTA,print('-deps2c',[destino '/Cuerno_crit_1_ori_dom.eps']),end

figure,
hold on,
box('on')
plot(R2(1,:),R2(2,:),'.','markersize',10)
reticula(dom_QR1,QQQ(1),QQQ(2),LW,color,0)
plot(dom_QR1(1,:),dom_QR1(2,:),'r.'),axis equal
axis([-60 30 -10 10])

if PINTA,print('-deps2c',[destino '/Cuerno_crit_1_R_dom.eps']),end


aux =   [mutuals;
    hsics;
    errores_tot;
    errores_test];

RES(:,1:2) = aux;
Nbb

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

CRIT = 2

destino = '/media/disk/vista/Papers/aranyas/general_y_analiticas/general/NECO_2011_experiments/cuerno_reproducible_results/';
filename = ['reretic_cuerno_derecho_SPC_7_param_buenos_crit_',num2str(CRIT) '_prueba_2'];
load([destino filename])

figure,plot(dat(1,:),dat(2,:),'.','markersize',0.1)
%hold on,plot(Q_datic(1,:),Q_datic(2,:),'r.'),axis equal
%hold on,plot(inv_dom_QR1(1,1:prod(QQQ)),inv_dom_QR1(2,1:prod(QQQ)),'ko'),axis equal
reticula(inv_dom_QR1(:,1:prod(QQQ)),QQQ(1),QQQ(2),LW,color,0)
hold on,plot(inv_dom_QR1(1,:),inv_dom_QR1(2,:),'r.'),axis equal
axis([-10 12 -18 10])

if PINTA,print('-deps2c',[destino '/Cuerno_crit_2_ori_dom.eps']),end

figure,
hold on,box('on'),
plot(R2(1,:),R2(2,:),'.','markersize',10)
reticula(dom_QR1,QQQ(1),QQQ(2),LW,color,0)
plot(dom_QR1(1,:),dom_QR1(2,:),'r.'),axis equal
axis([-310 90 -80 80])

if PINTA,print('-deps2c',[destino '/Cuerno_crit_2_R_dom.eps']),end

aux =   [mutuals;
    hsics;
    errores_tot;
    errores_test];
Nbb

RES(:,3) = aux(:,2);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

CRIT = 3

destino = '/media/disk/vista/Papers/aranyas/general_y_analiticas/general/NECO_2011_experiments/cuerno_reproducible_results/';
filename = ['reretic_cuerno_derecho_SPC_7_param_buenos_crit_',num2str(CRIT) '_prueba_2'];
load([destino filename])


figure,plot(dat(1,:),dat(2,:),'.','markersize',0.1)
%hold on,plot(Q_datic(1,:),Q_datic(2,:),'r.'),axis equal
%hold on,plot(inv_dom_QR1(1,:),inv_dom_QR1(2,:),'ko'),axis equal
reticula(inv_dom_QR1,QQQ(1),QQQ(2),LW,color,0)
hold on,plot(inv_dom_QR1(1,:),inv_dom_QR1(2,:),'r.'),axis equal
axis([-10 12 -18 10])

if PINTA,print('-deps2c',[destino '/Cuerno_crit_3_ori_dom.eps']),end

figure,
hold on,box('on'),
plot(R2(1,:),R2(2,:),'.','markersize',10)
reticula(dom_QR1,QQQ(1),QQQ(2),LW,color,0)
plot(dom_QR1(1,:),dom_QR1(2,:),'r.'),axis equal
axis([-275 115 -80 80])

if PINTA,print('-deps2c',[destino '/Cuerno_crit_3_R_dom.eps']),end

aux =   [mutuals;
    hsics;
    errores_tot;
    errores_test];
Nbb

RES(:,4) = aux(:,2);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure,plot(dat(1,:),dat(2,:),'.','markersize',0.1)
hold on,plot(Q_datic(1,:),Q_datic(2,:),'r.'),axis equal
axis([-10 12 -18 10])

if PINTA,print('-deps2c',[destino '/Cuerno_ori_dom.eps']),end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

RES

RES([1 3],:)




