
Ntrain = 13000;
Ntest = 500;
N_datos = Ntrain+Ntest;     % Number of data (both training and testing)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% datos_cuerno
%[datos,datos_PC,idx1,idx2] = mani_cuerno_6(N_datos,0.6,0.4,6);

% datos_cuerno_7
[datos,datos_PC,idx1,idx2] = mani_cuerno_7(N_datos,0.6,0.2,0.4,6);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure,plot(datos(1,:),datos(2,:),'.')

[HH RR] = hist3(datos',[31 31]);
figure,contour(RR{1},RR{2},HH',10)

r = randperm(size(datos,2));
dat_test = datos(:,r(1:Ntest));
dat = datos(:,r(Ntest:end));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%save('/home/vista/Papers/aranyas/general_y_analiticas/general/NECO_2011_experiments/cuerno_reproducible_results/datos_cuerno','dat','dat_test')
save('/home/vista/Papers/aranyas/general_y_analiticas/general/NECO_2011_experiments/cuerno_reproducible_results/datos_cuerno_7_real_2','dat','dat_test')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

