function transf_datos_imagenes_crit_3(trozo)

%
% SPCA DE IMAGENES (4D) PARA ANALISIS ESTADISTICO POSTERIOR, CRITERIO 3
%

trozos=1:150:3000;

P3 = genpath('/media/disk/vista/Papers/aranyas/general_y_analiticas/general/SPCA_toolbox_web_2');
addpath(P3)

load('/media/disk/vista/Papers/aranyas/general_y_analiticas/general/TNN_2012_experiment2/datos_e_inicializacion','dat','init_param3')

%% Transform test data with criterion 3
dat_test=dat(:,1:65:end);
dat_test=dat_test(:,1:3000);

if trozo<20
   dat_test=dat_test(:,trozos(trozo):trozos(trozo+1)-1);
else
   dat_test=dat_test(:,trozos(trozo):end); 
end

N_samples = length(dat_test(1,:));         % Number of training samples

tol=0.5;
for nn=1:N_samples
    tic
    [pto_proximo_T2(:,nn) R_T2(:,nn)]= spca_2(dat,dat_test(:,nn),init_param3,tol);
    save(['/media/disk/vista/Papers/aranyas/general_y_analiticas/general/TNN_2012_experiment2/transf_datos_imagenes_crit_3_trozo_',num2str(trozo)],'dat_test','pto_proximo_T2','R_T2');
    [nn toc]
end

% CONCLUSIONES DE ESTA MINI PRUEBA:
%
%    Se invierte bien (con tolerancia 0.5) pero tarda unos 800 seg/muestra:
%    jondemor!
%
%    150 muestras (en un procesador) tardan 1.5 dias
%
%    Una imagen 100*100 contiene 2500 muestras -> necesitamos 16
%    procesadores para tenerla en 1.5 dias
%
%    NO HAY TIEMPO QUE PERDER!


%% MI before/after transform

%% Quantization







